Subject: Re: bug#9982: Theme faces wrongly applied after background changes.

From: Chong Yidong <[email-masked]>
Date: Sun, 29 Jan 2012 19:08:51 +0800

> I investigated further.
> In the face-spec-recalc one does this:
>
> (let ((theme-faces (reverse (get face-sym 'theme-face))))
>       (dolist (spec theme-faces)
> 	(face-spec-set-2 face frame (cadr spec))))
>
> The problem is that for the default face we have set the background to
> black, but the theme variant of default is still white, so the
> background is painted white.

I installed xfce4 and can now reproduce the bug.  The problem is the
existence of the `theme-face' property for `default', which is present
at startup even with emacs -Q.  I don't know where this is coming from
either, but it rings a dim bell---I'll try to investigate further.